Skip to main content
GET
/
v2
/
menu
/
live
Get Live Menu For A Channel
curl --request GET \
  --url https://cdn.xm.fabric.inc/api/v2/menu/live
{ "query": { "channelId": "02SZCA" }, "menu": { "name": "Default", "channels": [ "02SZCA" ], "children": [ { "url": "/books", "name": "Books", "order": 0, "images": [], "nodeId": "6171d995bfdcf11c02a6177f", "parentId": "6171d977bfdcf11c02a61771", "children": [ { "url": "/books/mystery", "name": "Mystery", "order": 0, "nodeId": "6171d9ecbfdcf11c02a617a7", "parentId": "6171d995bfdcf11c02a6177f" }, { "url": "/books/sci-fi", "name": "Sci-fi", "order": 1, "nodeId": "6171d9f2bfdcf11c02a617ac", "parentId": "6171d995bfdcf11c02a6177f" }, { "url": "/books/education", "name": "Education", "order": 2, "nodeId": "6171da2fbfdcf11c02a617ba", "parentId": "6171d995bfdcf11c02a6177f" } ] }, { "url": "/health-household", "name": "Health & Household", "order": 1, "images": [ { "_id": "6171db97bfdcf11c02a6181c", "order": 1, "url": "https://imageUrl.com/myImage.jpg", "meta": "Custom image" } ], "params": [ { "_id": "6171db97bfdcf11c02a6181d", "kind": "Category", "value": "Health & Household" } ], "nodeId": "6171d9b9bfdcf11c02a61791", "parentId": "6171d977bfdcf11c02a61771", "children": [ { "url": "/health-household/household-supplies", "name": "Household Supplies", "order": 0, "nodeId": "6171da4fbfdcf11c02a617ca", "parentId": "6171d9b9bfdcf11c02a61791" }, { "url": "/health-household/vision-care", "name": "Vision Care", "order": 1, "nodeId": "6171da5bbfdcf11c02a617cf", "parentId": "6171d9b9bfdcf11c02a61791", "children": [ { "url": "/health-household/vision-care/glasses", "name": "Reading Glasses", "order": 0, "nodeId": "6171da7ebfdcf11c02a617e0", "parentId": "6171da5bbfdcf11c02a617cf" }, { "url": "/health-household/vision-care/contacts", "name": "Contact Lenses", "order": 1, "nodeId": "6171da8abfdcf11c02a617e5", "parentId": "6171da5bbfdcf11c02a617cf" }, { "url": "/health-household/vision-care/contacts-care", "name": "Contact Lens Care", "order": 2, "nodeId": "6171da90bfdcf11c02a617ea", "parentId": "6171da5bbfdcf11c02a617cf" } ] }, { "url": "/health-household/medical", "name": "Medical Supplies & Equipment", "order": 2, "nodeId": "6171da67bfdcf11c02a617d4", "parentId": "6171d9b9bfdcf11c02a61791" } ] } ], "menuId": "6171d977bfdcf11c02a61771" } }

Query Parameters

nodeId
string

ID of a specific menu item, associated with a live menu

parentId
string

ID of parent menu item, associated with a live menu, to retrieve its sub-menu items

depth
integer

Depth to traverse when returning menu items

channels
string
default:12

Comma-separated list of channel IDs

name
string

Name of a specific menu item, associated with a live menu

Response

Successful operation

200 response object

query
object

Details of request query

menu
object[]

List of menu items and their details

Menu and its menu item details